app:
  description: 要陪练的知识点读取
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: workflow
  name: 恩喜-03-陪练知识准备-考陪练
  use_icon_as_answer_icon: false
dependencies:
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/openrouter:0.0.22@99ef4cf4e08292c28806abaf24f295ed66e04e4b9e74385b487fd0767c7f56df
    version: null
kind: app
version: 0.5.0
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_batch_limit: 10
        image_file_size_limit: 10
        single_chunk_attachment_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: llm
        targetType: end
      id: 1759345165645-source-1759259743998-target
      source: '1759345165645'
      sourceHandle: source
      target: '1759259743998'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: start
        targetType: tool
      id: 1759259735113-source-1766637070902-target
      source: '1759259735113'
      sourceHandle: source
      target: '1766637070902'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: tool
        targetType: llm
      id: 1766637070902-source-1759345165645-target
      source: '1766637070902'
      sourceHandle: source
      target: '1759345165645'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        selected: false
        title: 开始
        type: start
        variables:
        - default: ''
          hint: ''
          label: course_id
          max_length: 9000
          options: []
          placeholder: ''
          required: true
          type: paragraph
          variable: course_id
      height: 109
      id: '1759259735113'
      position:
        x: 80
        y: 282
      positionAbsolute:
        x: 80
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        outputs:
        - value_selector:
          - '1759345165645'
          - text
          value_type: string
          variable: result
        selected: false
        title: 结束
        type: end
      height: 88
      id: '1759259743998'
      position:
        x: 1894
        y: 309
      positionAbsolute:
        x: 1894
        y: 309
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        context:
          enabled: false
          variable_selector: []
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: google/gemini-2.5-flash
          provider: langgenius/openrouter/openrouter
        prompt_template:
        - id: c5d3c09c-d33c-430a-a8f3-663627411364
          role: system
          text: '你是一个训练场景研究专家，能将用户提交的知识点，转变为一个模拟陪练的场景，并严格按照以下格式输出。


            输出标准：

            {

            "scene": {

            "name": "轻医美产品咨询陪练",

            "description": "模拟客户咨询轻医美产品的场景",

            "background": "客户对脸部抗衰项目感兴趣。",

            "ai_role": "AI扮演一位30岁女性客户",

            "objectives": ["了解客户需求", "介绍产品优势", "处理价格异议"],

            "keywords": ["抗衰", "玻尿酸", "价格"],

            "type": "product-intro",

            "difficulty": "intermediate"

            }

            }'
        - id: 2da57109-d891-46a6-8094-6f6ff63f8e5b
          role: user
          text: '{{#1766637070902.text#}}'
        selected: false
        title: LLM
        type: llm
        vision:
          enabled: false
      height: 88
      id: '1759345165645'
      position:
        x: 1487
        y: 266
      positionAbsolute:
        x: 1487
        y: 266
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        is_team_authorization: true
        paramSchemas:
        - auto_generate: null
          default: null
          form: llm
          human_description:
            en_US: ''
            ja_JP: ''
            pt_BR: ''
            zh_Hans: ''
          label:
            en_US: SQL 语句
            ja_JP: SQL 语句
            pt_BR: SQL 语句
            zh_Hans: SQL 语句
          llm_description: ''
          max: null
          min: null
          name: sql
          options: []
          placeholder:
            en_US: ''
            ja_JP: ''
            pt_BR: ''
            zh_Hans: ''
          precision: null
          required: true
          scope: null
          template: null
          type: string
        params:
          sql: ''
        plugin_id: null
        plugin_unique_identifier: null
        provider_icon:
          background: '#FFEAD5'
          content: 🤖
        provider_id: 2e7e915c-606c-4230-b4bd-ff95efb72f39
        provider_name: 恩喜-00-SQL 执行器-考陪练专用
        provider_type: workflow
        retry_config:
          max_retries: 3
          retry_enabled: true
          retry_interval: 1000
        selected: false
        title: 恩喜-00-SQL 执行器-考陪练专用
        tool_configurations: {}
        tool_description: 考陪练系统专用的 sql 执行器
        tool_label: 恩喜-00-SQL 执行器-考陪练专用
        tool_name: SQL_executor_enxi
        tool_node_version: '2'
        tool_parameters:
          sql:
            type: mixed
            value: SELECT kp.name, kp.description FROM knowledge_points kp INNER JOIN
              course_materials cm ON kp.material_id = cm.id WHERE kp.course_id = {{#1759259735113.course_id#}}
              AND kp.is_deleted = 0 AND cm.is_deleted = 0 ORDER BY kp.id;
        type: tool
      height: 81
      id: '1766637070902'
      position:
        x: 786.8609430099932
        y: 494.8734381122215
      positionAbsolute:
        x: 786.8609430099932
        y: 494.8734381122215
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    viewport:
      x: 203.70985243053667
      y: 193.70165441393362
      zoom: 0.4438204415451904
  rag_pipeline_variables: []
